---
layout: default
---

{% assign license = site.posts | find: "layout", "license" %}
{%- assign date_format = site.i18n.date.format | default: "%b %-d, %Y" -%}

<article class="h-entry" itemscope itemtype="http://schema.org/Article">
  <header class="mb-4">
    <h1 class="p-name display-1 text-primary my-3" itemprop="name headline">{{ page.title | default: '' | escape }}</h1>

    {%- if page.description -%}
      <p class="lead p-summary display-2" itemprop="description">{{ page.description | default: '' | escape }}</p>
    {%- endif -%}

    {%- if page.image.path -%}
      <picture>
        
        {%- for size in site.images.sizes -%}
          <source srcset="{{ page.image.path | thumbnail: size }}" media="(max-width: {{ size }}px)" />
        {%- endfor -%}
        

        <img class="img-fluid" src="{{ page.image.path | thumbnail: 1140 }}" alt="{{ page.image.description }}" />
      </picture>
    {%- endif -%}

    <p>
      {{ site.i18n.written_by }}
      {%- for author in page.author -%}
         <span class="text-primary mx-1">~</span> 
        <span itemprop="author" itemscope itemtype="http://schema.org/Person">
          <span class="p-author h-card" itemprop="name">
            {{ author | default: '' | escape }}
          </span>
        </span>
      {%- endfor -%}
    </p>
  </header>

  <div class="e-content content" itemprop="articleBody">
    {{ content | markdownify }}
  </div>

  <footer>
    <a class="u-url" itemprop="url" href="{{ page.url }}" hidden>
      {{ site.url }}{{ page.url }}
    </a>

    {%- if page.uuid -%}
      <span hidden itemprop="identifier">{{ page.uuid }}</span>
    {%- endif -%}

    {%- if license -%}
      <p itemprop="license" itemtype="http://schema.org/CreativeWork">
        <a rel="license" itemprop="url" href="{{ license.url }}">
          <span itemprop="articleBody">
            {{ license.description }}
          </span>
        </a>
      </p>
    {%- endif -%}

    {%- if page.tags %}
      <span itemprop="keywords" hidden>{{ page.tags | join: ', ' }}</span>
      {%- for tag in page.tags -%}
        <span hidden class="h-category">{{ tag }}</span>
      {%- endfor -%}
    {%- endif -%}
  </footer>
</article>
